<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:cinclude="http://apache.org/cocoon/include/1.0"
>
   	<xsl:param name="title" select="'title'" />
        <xsl:param name="CSSFile" select="'CSSFile'"/>
        <xsl:param name="skin" select="''"/>
        <xsl:param name="defaultskin" select="'skin1.xml'"/>
        <xsl:param name="indexingURL"/>
        <xsl:param name="indexName" />
        <xsl:variable name="actualskin">
            <xsl:choose>
                    <xsl:when test="$skin != ''">
                        <xsl:value-of select="$skin"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="$defaultskin"/>
                    </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
       
	<!-- Elements lies au document -->
	<xsl:template match="skin">
	<MDREP skinname="{$actualskin}">
		<TITLE><xsl:value-of select="$title"/></TITLE>
		<CSSFILE><xsl:value-of select="$CSSFile"/></CSSFILE>
        <skin>
        	<xsl:copy-of select="/skin/*[name()!='tools']"/>
        	<xsl:apply-templates select="tools"/>
        </skin>	
	</MDREP>
        <!--div class="debug">DEBUG : skin = <xsl:value-of select="$skin"/></div-->
	</xsl:template>
	
	<xsl:template match="tools">
		<tools>
		<xsl:for-each select="tool">
			<xsl:choose>
				<xsl:when test="@type = 'rss'">
					<xsl:element name="tool">
						<xsl:for-each select="./@*">
							<xsl:copy/>	
						</xsl:for-each>	
						<cinclude:include src="{@param}"/>
					</xsl:element>
				</xsl:when>
				<xsl:when test="@type = 'lucene' and contains(@options,'rss')">
					<xsl:element name="tool">
						<xsl:for-each select="./@*">
							<xsl:copy/>	
						</xsl:for-each>	
						<cinclude:include src="{$indexingURL}/indexRSS?name={$indexName}&amp;length={./@param}"/>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>			
					<xsl:copy-of select="."/>
				</xsl:otherwise>		
			</xsl:choose>
		</xsl:for-each>		
		</tools>
	</xsl:template>
</xsl:stylesheet>

