<?xml version="1.0" encoding="UTF-8"?>
<!--xmlns:dir="http://apache.org/cocoon/directory/2.0"-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:i18n="http://apache.org/cocoon/i18n/2.1">
    <xsl:param name="upnode" />
    <xsl:param name="doc" />
    <xsl:param name="baselink" select="''"/>
    <xsl:param name="intdocs" select="'xml html htm txt jpg png gif XML HTML HTM TXT JPG PNG GIF'"/>
    <xsl:variable name="cocoonURI" select="substring-before($localURI, '/injac')" />
   
	
  	<!-- structure principale --> 
   <xsl:template match="results">
   		<div id="iDocRender">
   			<h2><i18n:text>Search results</i18n:text></h2> 
   			<h3><xsl:value-of select="@size"/>&#160;<i18n:text>document(s) found for the query</i18n:text> "<xsl:value-of select="@query"/>"</h3>
   			<xsl:apply-templates select="msg" />
   			<ul class="idocs">
   	 			<xsl:for-each select="Document">
   	 				<xsl:sort select="Field[@name='name']/value"/>
   	 				<xsl:apply-templates select="."/>
				</xsl:for-each>
   	 		</ul>
   	 	</div>
   </xsl:template>
	<!-- Elements principaux -->
	<xsl:template match="msg">
		<p><xsl:value-of select="."/></p>
	</xsl:template>	
   	<xsl:template match="Document">
	    <li class="idocs">
	    <!-- Test des types de document au rendu externe -->
	    	<xsl:choose>
				<!-- extern rendering link (with filename appended)-->
            	<xsl:when test="not(contains($intdocs, substring-after(Field[@name='name']/value, '.')))">
	                <a href="{$baselink}ext{substring-after(Field[@name='url']/value, $upnode)}/{Field[@name='name']/value}" title="{Field[@name='index_desc']}" >						
               	        <xsl:value-of select="Field[@name='title']" />
					</a>
        	     </xsl:when>
				 <!-- intern rendering link (without file name)-->
	             <xsl:otherwise>
               	    <a href="{$baselink}nav{substring-after(Field[@name='url']/value, $upnode)}?file={Field[@name='name']/value}" title="{./metadatas/description}" > 
               	        <xsl:value-of select="Field[@name='title']" />
                   	</a>
		          </xsl:otherwise>
        	</xsl:choose>
			<xsl:for-each select="Field[not(contains('url name title description', @name))]">
				   	<br/><p><xsl:value-of select="./metadatas/description"/></p>
			</xsl:for-each>	   	
      	</li>
   	</xsl:template>
    
</xsl:stylesheet>

