<?xml version="1.0" encoding="UTF-8"?>
<!--xmlns:dir="http://apache.org/cocoon/directory/2.0"-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:i18n="http://apache.org/cocoon/i18n/2.1">
    <xsl:param name="upnode" />
    <xsl:param name="doc" />
    <xsl:param name="baselink" select="''"/>
    <xsl:param name="intdocs" select="'xml html htm txt jpg png gif XML HTML HTM TXT JPG PNG GIF'"/>
    <xsl:variable name="cocoonURI" select="substring-before($localURI, '/injac')" />
   
	
  	<!-- structure principale --> 
   <xsl:template match="results">
   		<div id="iDocRender">
   			<h2><i18n:text>Search results</i18n:text></h2> 
   			<xsl:apply-templates select="msg" />
   	 		<xsl:apply-templates select="hits" />
   	 	</div>
   </xsl:template>
	<!-- Elements principaux -->
	<xsl:template match="msg">
		<p><xsl:value-of select="."/></p>
	</xsl:template>	
	
	
	<xsl:template match="hits">
		<h3><xsl:value-of select="@found"/>&#160;<i18n:text>document(s) found for the query</i18n:text> "<xsl:value-of select="../query"/>"</h3>
        	<ul class="idocs">
                <xsl:apply-templates select="hit" >
					<xsl:sort select="score"/>
				</xsl:apply-templates>
            </ul>
	</xsl:template>
	

   	<xsl:template match="hit">
	    <li class="idocs">
		     <a href="{@href}" title="{metadatas/metadata[@name='description']}" >						
						<xsl:value-of select="@title" />(<xsl:value-of select="@score"/>%)
		    	</a>
		    <xsl:for-each select="metadatas/metadata">	
        		<p><i18n:text><xsl:value-of select="@name"/></i18n:text>&#160;:&#160;<xsl:value-of select="@value"/> </p>
        	</xsl:for-each>
      	</li>
   	</xsl:template>
    
</xsl:stylesheet>

