<?xml version="1.0" encoding="UTF-8"?>
<!--xmlns:dir="http://apache.org/cocoon/directory/2.0"-->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	xmlns:rss="http://purl.org/rss/1.0/">
	<xsl:param name="upnode" />
	<xsl:param name="doc" />
	<xsl:param name="baselink" select="''" />
	<!-- deprecated -->
	<xsl:param name="extdocs" select="'pdf doc rtf ppt sxw'" />
	<xsl:param name="intdocs"
		select="'xml html htm txt jpg png gif XML HTML HTM TXT JPG PNG GIF'" />
	<xsl:variable name="cocoonURI"
		select="substring-before($localURI, '/injac')" />

	<!-- structure principale RDF TODO : further completion-->
	<xsl:template match="rdf:RDF">
		<xsl:for-each select="rss:item">
			<li class="idocs">
				<a
						href="{rss:link}"
						title="{rss:description}">
						<xsl:value-of select="rss:title" />
				</a>
			</li>
		</xsl:for-each>		
	</xsl:template>
	
	

	<!-- structure principale RSS -->
	<xsl:template match="rss">
		<xsl:apply-templates select="channel" />
	</xsl:template>
	<!-- Elements principaux -->
	<xsl:template match="channel">
		<xsl:if test="count(item) &gt; 0">
			<ul class="idocs">
				<xsl:apply-templates select="item">
					<xsl:sort select="title" />
				</xsl:apply-templates>
			</ul>
		</xsl:if>
	</xsl:template>


	<xsl:template match="item[../../../@type='lucene']">
		<xsl:variable name="filename">
			<xsl:value-of select="link" />
		</xsl:variable>
		<li class="idocs">
			<!-- Test des types de document au rendu externe -->
			<xsl:choose>
				<!-- extern rendering link (with filename appended)-->
				<xsl:when
					test="not(contains($intdocs, substring(substring-after($filename, '.'),0,2)))">
					<a
						href="{$baselink}ext{substring-after(link, $upnode)}"
						title="{description}">
						<xsl:value-of select="title" />
					</a>
				</xsl:when>
				<!-- intern rendering link (without file name)-->
				<xsl:otherwise>
					<a href="{$baselink}navinc{substring-after(link, $upnode)}" title="{description}">
						<xsl:value-of select="title" />
					</a>
				</xsl:otherwise>
			</xsl:choose>
		</li>
	</xsl:template>
	
	<xsl:template match="item[../../../@type='rss']">
		<li class="idocs">
			<a
					href="{link}"
					title="{description}">
					<xsl:value-of select="title" />
			</a>
		</li>
	</xsl:template>

	<xsl:strip-space elements="*" />



</xsl:stylesheet>

